import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { ConsolidatedItemsPosition } from "./ConsolidatedItemsPosition";
import { SeriesView } from "./SeriesView";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { Type, Point } from "igniteui-react-core/ES2015/type";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Rect } from "igniteui-react-core/ES2015/Rect";
import { CategoryFrame } from "./CategoryFrame";
import { Pool$1 } from "igniteui-react-core/ES2015/Pool$1";
import { Rectangle } from "igniteui-react-core/ES2015/Rectangle";
import { CategorySeriesView } from "./CategorySeriesView";
import { List$1 } from "igniteui-react-core/ES2015/List$1";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { RenderingContext } from "igniteui-react-core/ES2015/RenderingContext";
export declare class ColumnSeries extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    protected bf(): SeriesView;
    p8: ColumnSeriesView;
    il(a: SeriesView): void;
    protected m7(): CategoryTransitionInMode;
    constructor();
    qc: number;
    qd: number;
    protected get_nm(): boolean;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    private qe;
    ll(a: Point): Rect;
    df(a: Point, b: boolean): boolean;
    ho(a: boolean, b: SeriesView): void;
    ec(): number;
    of(a: CategoryFrame, b: CategorySeriesView): void;
    private p9;
    qa: ConsolidatedItemsPosition;
    private qb;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
export declare class ColumnSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    ap(): void;
    protected c6: ColumnSeries;
    constructor(a: ColumnSeries);
    de(): Rectangle;
    protected c8: List$1<Rectangle>;
    c9(a: Rectangle): void;
    db(a: Rectangle): void;
    da(a: Rectangle): void;
    dc(a: Rectangle, b: number, c: number): void;
    protected z(a: number): any;
    private dd;
    protected y(a: number): any;
    protected a3(a: RenderingContext, b: boolean): void;
    c7: Pool$1<Rectangle>;
    ai(a: any): void;
}
